### Method

# AppStream Translation set_source_locale

since: 0.14.6

#### Declaration [src]

    void
    as_translation_set_source_locale (
      AsTranslation* tr,
      const gchar* locale
    )

#### Description [src]

Set the locale of the source strings for this component. In gettext, this is referred to as the `C` locale. It’s almost always `en_US`, but for some components it may not be.

Available since: 0.14.6

#### Parameters

`locale`

  Type: `const gchar*`

  The POSIX locale that the source strings are in, or `NULL` if unknown or default.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.